org.apache.cocoon.portal.wsrp.adapter
Class WSRPAdapter.FormRewritingHandler
java.lang.Object
org.apache.avalon.framework.logger.AbstractLogEnabled
org.apache.cocoon.xml.AbstractXMLProducer
org.apache.cocoon.xml.AbstractXMLPipe
org.apache.cocoon.portal.wsrp.adapter.WSRPAdapter.FormRewritingHandler
- All Implemented Interfaces:
- ContentHandler, LexicalHandler, LogEnabled, Poolable, Recyclable, XMLConsumer, XMLConsumer, XMLPipe, XMLProducer
- Enclosing class:
- WSRPAdapter
- public static final class WSRPAdapter.FormRewritingHandler
- extends AbstractXMLPipe
This handler is triggered by a form element. It rewrites the
action if the method get is used. In this case all request parameters
of the action are added as hidden fields.
| Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe |
characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
WSRPAdapter.FormRewritingHandler
public WSRPAdapter.FormRewritingHandler(ContentHandler ch)
startElement
public void startElement(String uri,
String loc,
String raw,
Attributes a)
throws SAXException
- Description copied from class:
AbstractXMLPipe
- Receive notification of the beginning of an element.
- Specified by:
startElement in interface ContentHandler- Overrides:
startElement in class AbstractXMLPipe
- Parameters:
uri - The Namespace URI, or the empty string if the element has no
Namespace URI or if Namespace
processing is not being performed.loc - The local name (without prefix), or the empty string if
Namespace processing is not being performed.raw - The raw XML 1.0 name (with prefix), or the empty string if
raw names are not available.a - The attributes attached to the element. If there are no
attributes, it shall be an empty Attributes object.
- Throws:
SAXException- See Also:
ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)
Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.